Debian Bug report logs - #619520
eth0 is not activated early enough, causing a delay in the Ethernet detection

Package: ethtool; Maintainer for ethtool is Anibal Monsalve Salazar <anibal@debian.org>; Source for ethtool is src:ethtool.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Thu, 24 Mar 2011 17:36:02 UTC

Severity: normal

Done: Vincent Lefevre <vincent@vinc17.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619520; Package linux-2.6. (Thu, 24 Mar 2011 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 17:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.37-2-amd64: some Ethernet cables are not detected
Date: Thu, 24 Mar 2011 18:08:58 +0100
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.37-2
Severity: normal

On my DELL Latitude E6400 laptop, the Ethernet cable, though
plugged in before booting, isn't always detected at boot time
(at least when /etc/init.d/networking is run). More precisely,
at home it is always detected, but I'm currently connected in
a hotel, and here it is never detected (at boot time only).

I need to run "/etc/init.d/networking restart" manually, and
everything is OK.

Since after the boot, the Ethernet cable detection works, it
seems to be a software problem. But I don't know where.

FYI, here's my configuration...

/etc/network/interfaces contains:

------------------------------------------------------------------------
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# One should not use "auto eth0" because an Ethernet cable is not
# necessarily plugged in. Then one needs an "allow-hotplug eth0"
# line so that ifup and ifdown can work on eth0. But eth0 is not
# automatically brought up by "/etc/init.d/networking start"
# (Debian bug 550014); ifplugd is not a solution either because
# it doesn't work at boot time (bug 550019), but also it is run
# too late (bugs 204499, 407349 and 432612).
auto lo eth0
#allow-hotplug eth0

# The loopback network interface
iface lo inet loopback

mapping eth0
  script guessnet-wrapper
  map default: eth0-dhcp
  map debug: true
  map timeout: 2

iface eth0-dhcp inet dhcp

iface eth0-home inet static
  address 192.168.0.8
  netmask 255.255.255.0
  broadcast 192.168.0.255
  gateway 192.168.0.1
  test peer address 192.168.0.1 mac 00:00:c5:b4:98:74
------------------------------------------------------------------------

The guessnet-wrapper script is:

------------------------------------------------------------------------
#!/bin/sh

# Since a DHCP client process could have modified /etc/resolv.conf, we
# reset it to the default value in case a static address will be used.
echo "nameserver 127.0.0.1" > /etc/resolv.conf

ifconfig "$1" up
sleep 2
ethtool "$1" | grep -q 'Link detected: yes' && exec guessnet -i "$@"
echo "No link detected." >&2
printf "%s-none\n" "$1"

# $Id: guessnet-wrapper 37977 2010-07-16 17:35:50Z vinc17/xvii $
------------------------------------------------------------------------

ethtool and guessnet are provided by the Debian packages.

The /var/log/boot file is attached. It contains in particular:

Thu Mar 24 17:36:57 2011: Running mapping script guessnet-wrapper on eth0
Thu Mar 24 17:37:00 2011: No link detected.
Thu Mar 24 17:37:00 2011: Ignoring unknown interface eth0=eth0-none.

-- Package-specific info:
** Version:
Linux version 2.6.37-2-amd64 (Debian 2.6.37-2) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-12) ) #1 SMP Sun Feb 27 10:12:22 UTC 2011

** Command line:
root=/dev/mapper/xvii-root ro quiet

** Not tainted

** Kernel log:
[   12.258209] iwlagn: Copyright(c) 2003-2010 Intel Corporation
[   12.258275] iwlagn 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   12.258283] iwlagn 0000:0c:00.0: setting latency timer to 64
[   12.258323] iwlagn 0000:0c:00.0: Detected Intel(R) Ultimate N WiFi Link 5300 AGN, REV=0x24
[   12.277517] iwlagn 0000:0c:00.0: device EEPROM VER=0x120, CALIB=0x4
[   12.278359] [drm] Initialized drm 1.1.0 20060810
[   12.278464] iwlagn 0000:0c:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[   12.278626] iwlagn 0000:0c:00.0: irq 43 for MSI/MSI-X
[   12.278641] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[   12.278723] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[   12.278787] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   12.278853] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   12.339293] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input13
[   12.355941] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input14
[   12.517449] iwlagn 0000:0c:00.0: loaded firmware version 8.24.2.12
[   12.602290] nouveau 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   12.602304] nouveau 0000:01:00.0: setting latency timer to 64
[   12.605342] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x298580a2)
[   12.608676] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[   12.712639] [drm] nouveau 0000:01:00.0: ... appears to be valid
[   12.712643] [drm] nouveau 0000:01:00.0: BIT BIOS found
[   12.712646] [drm] nouveau 0000:01:00.0: Bios version 62.98.3c.00
[   12.712649] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[   12.712652] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[   12.712655] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 01000323 00010034
[   12.712657] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 02011300 00000028
[   12.712659] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02022386 0f200010
[   12.712661] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 02022332 00020010
[   12.712663] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 040333a6 0f200010
[   12.712665] [drm] nouveau 0000:01:00.0: Raw DCB entry 5: 04033312 00020010
[   12.712667] [drm] nouveau 0000:01:00.0: Raw DCB entry 6: 0000000e 00000000
[   12.712670] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
[   12.712672] [drm] nouveau 0000:01:00.0:   0: 0x00000041: type 0x41 idx 0 tag 0xff
[   12.712674] [drm] nouveau 0000:01:00.0: unknown type, using 0x40
[   12.712676] [drm] nouveau 0000:01:00.0:   1: 0x00000100: type 0x00 idx 1 tag 0xff
[   12.712679] [drm] nouveau 0000:01:00.0:   2: 0x00005246: type 0x46 idx 2 tag 0x07
[   12.712681] [drm] nouveau 0000:01:00.0:   3: 0x0000a346: type 0x46 idx 3 tag 0x08
[   12.712692] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD601
[   12.764171] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD9B3
[   12.788053] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE259
[   12.788072] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE34B
[   12.796144] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE557
[   12.796149] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE5BC
[   12.814870] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[   12.820030] [drm] nouveau 0000:01:00.0: 0xE5BC: Condition still not met after 20ms, skipping following opcodes
[   12.841873] [drm] nouveau 0000:01:00.0: 4 available performance level(s)
[   12.841879] [drm] nouveau 0000:01:00.0: 0: memory 100MHz core 169MHz shader 338MHz voltage 900mV fanspeed 100%
[   12.841882] [drm] nouveau 0000:01:00.0: 1: memory 250MHz core 275MHz shader 550MHz voltage 900mV fanspeed 100%
[   12.841886] [drm] nouveau 0000:01:00.0: 2: memory 400MHz core 500MHz shader 1000MHz voltage 1090mV fanspeed 100%
[   12.841889] [drm] nouveau 0000:01:00.0: 3: memory 400MHz core 580MHz shader 1450MHz voltage 1170mV fanspeed 100%
[   12.841915] [drm] nouveau 0000:01:00.0: Register 0x00004030 not found in PLL limits table
[   12.842029] [drm] nouveau 0000:01:00.0: c: memory 249MHz core 275MHz shader 1100MHz voltage 900mV
[   12.842222] [drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[   12.842256] [TTM] Zone  kernel: Available graphics memory: 2024978 kiB.
[   12.842258] [TTM] Initializing pool allocator.
[   12.842284] mtrr: type mismatch for e0000000,10000000 old: write-back new: write-combining
[   12.871074] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[   13.933829] [drm] nouveau 0000:01:00.0: Allocating FIFO number 1
[   13.939683] [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
[   13.939721] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
[   13.956776] dell-wmi: Received unknown WMI event (0x11)
[   14.123795] [drm] nouveau 0000:01:00.0: allocated 1440x900 fb: 0x40270000, bo ffff880117d9d400
[   14.134633] Console: switching to colour frame buffer device 180x56
[   14.137583] fb0: nouveaufb frame buffer device
[   14.137585] drm: registered panic notifier
[   14.137591] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[   14.429756] dell-wmi: Received unknown WMI event (0x11)
[   15.467901] EXT3-fs (dm-1): using internal journal
[   15.788760] loop: module loaded
[   16.516865] Adding 9928700k swap on /dev/mapper/xvii-swap_1.  Priority:-1 extents:1 across:9928700k 
[   23.444220] e1000e 0000:00:19.0: irq 40 for MSI/MSI-X
[   23.500096] e1000e 0000:00:19.0: irq 40 for MSI/MSI-X
[   23.500581] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   25.644912] e1000e: eth0 NIC Link is Up 10 Mbps Half Duplex, Flow Control: None
[   25.644969] e1000e 0000:00:19.0: eth0: Autonegotiated half duplex but link partner cannot autoneg.  Try forcing full duplex if link gets many collisions.
[   25.644972] e1000e 0000:00:19.0: eth0: 10/100 speed: disabling TSO
[   25.645428] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   26.058612] fuse init (API version 7.15)
[   28.296113] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input15
[   36.336028] eth0: no IPv6 routers present
[   36.564594] [drm] nouveau 0000:01:00.0: Allocating FIFO number 2
[   36.570976] [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 2
[   38.897952] Bluetooth: Core ver 2.15
[   38.897972] NET: Registered protocol family 31
[   38.897974] Bluetooth: HCI device and connection manager initialized
[   38.897976] Bluetooth: HCI socket layer initialized
[   39.047720] Bluetooth: L2CAP ver 2.15
[   39.047722] Bluetooth: L2CAP socket layer initialized
[   39.065891] Bluetooth: RFCOMM TTY layer initialized
[   39.065896] Bluetooth: RFCOMM socket layer initialized
[   39.065898] Bluetooth: RFCOMM ver 1.11
[   39.138171] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   39.138174] Bluetooth: BNEP filters: protocol multicast
[   39.178303] Bluetooth: SCO (Voice Link) ver 0.6
[   39.178305] Bluetooth: SCO socket layer initialized
[   41.114467] lp: driver loaded but no devices found
[   41.119022] ppdev: user-space parallel port driver
[   50.095010] ip_tables: (C) 2000-2006 Netfilter Core Team
[  196.273509] device eth0 entered promiscuous mode
[  198.275831] device eth0 left promiscuous mode

** Model information
sys_vendor: Dell Inc.
product_name: Latitude E6400                  
product_version: 
chassis_vendor: Dell Inc.
chassis_version: 
bios_vendor: Dell Inc.
bios_version: A12
board_vendor: Dell Inc.
board_name: 0K672N
board_version:    

** Loaded modules:
Module                  Size  Used by
acpi_cpufreq            5335  1 
mperf                   1243  1 acpi_cpufreq
xt_multiport            1598  2 
iptable_filter          1376  1 
ip_tables              14210  1 iptable_filter
x_tables               14365  3 xt_multiport,iptable_filter,ip_tables
cpufreq_powersave        942  0 
cpufreq_stats           2633  0 
cpufreq_userspace       2016  0 
cpufreq_conservative     7646  0 
parport_pc             18869  0 
ppdev                   5139  0 
lp                      7966  0 
parport                25742  3 parport_pc,ppdev,lp
sco                     7563  2 
bnep                    9912  2 
rfcomm                 28486  0 
l2cap                  30438  6 bnep,rfcomm
crc16                   1327  1 l2cap
bluetooth              44469  6 sco,bnep,rfcomm,l2cap
binfmt_misc             6557  1 
uinput                  6942  1 
fuse                   54683  1 
ext2                   53509  1 
firewire_sbp2          11503  0 
loop                   13819  0 
arc4                    1330  2 
ecb                     1881  2 
nouveau               410643  2 
ttm                    44440  1 nouveau
joydev                  9144  0 
drm_kms_helper         22085  1 nouveau
drm                   152653  4 nouveau,ttm,drm_kms_helper
iwlagn                131666  0 
snd_hda_codec_idt      45867  1 
iwlcore                47364  1 iwlagn
snd_hda_intel          19434  0 
snd_hda_codec          62413  2 snd_hda_codec_idt,snd_hda_intel
i2c_algo_bit            4105  1 nouveau
snd_hwdep               5484  1 snd_hda_codec
mac80211              168033  2 iwlagn,iwlcore
snd_pcm                61789  2 snd_hda_intel,snd_hda_codec
snd_seq                42454  0 
uvcvideo               51688  0 
snd_timer              16304  2 snd_pcm,snd_seq
snd_seq_device          4531  1 snd_seq
cfg80211              114261  3 iwlagn,iwlcore,mac80211
pcmcia                 29451  0 
videodev               53974  1 uvcvideo
v4l1_compat            11622  2 uvcvideo,videodev
v4l2_compat_ioctl32     8899  1 videodev
snd                    47132  8 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
dell_laptop             7308  0 
rfkill                 13870  4 bluetooth,cfg80211,dell_laptop
tpm_tis                 7157  0 
tpm                     9923  1 tpm_tis
dcdbas                  4912  1 dell_laptop
tpm_bios                4709  1 tpm
i2c_i801                7318  0 
psmouse                45274  0 
dell_wmi                1421  0 
sparse_keymap           2400  1 dell_wmi
pcspkr                  1739  0 
yenta_socket           18225  0 
serio_raw               3726  0 
pcmcia_rsrc             7625  1 yenta_socket
video                  11139  1 nouveau
output                  1764  1 video
evdev                   8115  17 
wmi                     7204  1 dell_wmi
shpchp                 21923  0 
i2c_core               16549  6 nouveau,drm_kms_helper,drm,i2c_algo_bit,videodev,i2c_i801
pcmcia_core            10413  3 pcmcia,yenta_socket,pcmcia_rsrc
pci_hotplug            19711  1 shpchp
soundcore               4614  1 snd
ac                      2280  0 
processor              23794  3 acpi_cpufreq
battery                 5710  0 
power_supply            7683  3 dell_laptop,ac,battery
button                  4722  1 nouveau
snd_page_alloc          6289  2 snd_hda_intel,snd_pcm
ext3                  106389  1 
jbd                    36976  1 ext3
mbcache                 5104  2 ext2,ext3
sha256_generic          9413  2 
cryptd                  6847  0 
aes_x86_64              7396  2 
aes_generic            26106  1 aes_x86_64
cbc                     2611  1 
dm_crypt               10495  1 
dm_mod                 55987  9 dm_crypt
sg                     18967  0 
sd_mod                 28386  3 
sr_mod                 12759  0 
crc_t10dif              1300  1 sd_mod
cdrom                  29865  1 sr_mod
uhci_hcd               18394  0 
ahci                   19409  2 
libahci                15957  1 ahci
libata                143334  2 ahci,libahci
ehci_hcd               32416  0 
sdhci_pci               6583  0 
sdhci                  14511  1 sdhci_pci
firewire_ohci          22154  0 
thermal                 7538  0 
scsi_mod              154559  5 firewire_sbp2,sg,sd_mod,sr_mod,libata
e1000e                117246  0 
thermal_sys            11764  3 video,processor,thermal
mmc_core               54665  1 sdhci
usbcore               119015  4 uvcvideo,uhci_hcd,ehci_hcd
firewire_core          42337  2 firewire_sbp2,firewire_ohci
crc_itu_t               1331  1 firewire_core
nls_base                6369  1 usbcore

** Network interface configuration:

auto lo eth0

iface lo inet loopback

mapping eth0
  script guessnet-wrapper
  map default: eth0-dhcp
  map debug: true
  map timeout: 2

iface eth0-dhcp inet dhcp

iface eth0-home inet static
  address 192.168.0.8
  netmask 255.255.255.0
  broadcast 192.168.0.255
  gateway 192.168.0.1
  test peer address 192.168.0.1 mac 00:00:c5:b4:98:74

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:24:e8:97:5f:73 brd ff:ff:ff:ff:ff:ff
    inet 192.168.13.64/21 brd 192.168.15.255 scope global eth0
    inet6 fe80::224:e8ff:fe97:5f73/64 scope link 
       valid_lft forever preferred_lft forever
3: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:21:6a:47:b3:80 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   14133     183    0    0    0     0          0         0    14133     183    0    0    0     0       0          0
  eth0:  248665     501    0    0    0     0          0         0    28516     322    0    0    0     8       0          0
 wlan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    602 total packets received
    9 with invalid headers
    3 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    590 incoming packets delivered
    479 requests sent out
    914 dropped because of missing route
Icmp:
    29 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 28
        echo replies: 1
    29 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 28
        echo request: 1
IcmpMsg:
        InType0: 1
        InType3: 28
        OutType3: 28
        OutType8: 1
Tcp:
    19 active connections openings
    4 passive connection openings
    4 failed connection attempts
    0 connection resets received
    0 connections established
    241 segments received
    232 segments send out
    0 segments retransmited
    0 bad segments received.
    8 resets sent
Udp:
    267 packets received
    28 packets to unknown port received.
    0 packet receive errors
    220 packets sent
UdpLite:
TcpExt:
    5 TCP sockets finished time wait in fast timer
    1 delayed acks sent
    Quick ack mode was activated 11 times
    6 packets directly queued to recvmsg prequeue.
    626 bytes directly received in process context from prequeue
    120 packet headers predicted
    6 packets header predicted and directly queued to user
    34 acknowledgments not containing data payload received
    14 predicted acknowledgments
    1 connections reset due to unexpected data
IpExt:
    InMcastPkts: 9
    OutMcastPkts: 11
    InBcastPkts: 105
    InOctets: 253755
    OutOctets: 36429
    InMcastOctets: 2253
    OutMcastOctets: 2333
    InBcastOctets: 36904

*** Device features:
eth0: 0x9a9
lo: 0x13865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port [8086:2a41] (rev 07) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f2000000-f6efffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f6fe0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f6fdb000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at efe0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f60 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f80 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6fa0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at fed1c400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at f6fdc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0000000-f01fffff
	Prefetchable memory behind bridge: 00000000f0200000-00000000f03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f1f00000-f1ffffff
	Prefetchable memory behind bridge: 00000000f0400000-00000000f05fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=0d, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: f0600000-f07fffff
	Prefetchable memory behind bridge: 00000000f0800000-00000000f09fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f20 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6f40 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fed1c000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=07, sec-latency=32
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: f1e00000-f1efffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 RAID bus controller [0104]: Intel Corporation Mobile 82801 SATA RAID Controller [8086:282a] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 41
	Region 0: I/O ports at 6e70 [size=8]
	Region 1: I/O ports at 6e78 [size=4]
	Region 2: I/O ports at 6e80 [size=8]
	Region 3: I/O ports at 6e88 [size=4]
	Region 4: I/O ports at 6ea0 [size=32]
	Region 5: Memory at fed1c800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f6fdaf00 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: nVidia Corporation G98M [Quadro NVS 160M] [10de:06eb] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at df00 [size=128]
	[virtual] Expansion ROM at f4000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau

03:01.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ba)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f1e00000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=03, secondary=04, subordinate=07, sec-latency=176
	Memory window 0: f0c00000-f0fff000 (prefetchable)
	Memory window 1: f1000000-f13ff000
	I/O window 0: 00005000-000050ff
	I/O window 1: 00005400-000054ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

03:01.1 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 04) (prog-if 10 [OHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f1eff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

03:01.2 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 21) (prog-if 01)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f1eff600 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

0c:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4235]
	Subsystem: Intel Corporation Device [8086:1121]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at f1ffe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 0c45:63f8 Microdia Sonix Integrated Webcam
Bus 005 Device 002: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.37-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    3          Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.37-2-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-2.6.37-2-amd64 suggests:
ii  grub-legacy [grub]            0.97-65    GRand Unified Bootloader (Legacy v
ii  linux-doc-2.6.37              2.6.37-2   Linux kernel specific documentatio

Versions of packages linux-image-2.6.37-2-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.29       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
* linux-image-2.6.37-2-amd64/postinst/missing-firmware-2.6.37-2-amd64:
  linux-image-2.6.37-2-amd64/postinst/ignoring-do-bootloader-2.6.37-2-amd64:
  linux-image-2.6.37-2-amd64/prerm/removing-running-kernel-2.6.37-2-amd64: true
  linux-image-2.6.37-2-amd64/postinst/depmod-error-initrd-2.6.37-2-amd64: false
[boot (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619520; Package linux-2.6. (Thu, 24 Mar 2011 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 19:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 619520@bugs.debian.org
Subject: Re: linux-image-2.6.37-2-amd64: some Ethernet cables are not detected
Date: Thu, 24 Mar 2011 19:49:07 +0100
retitle 619520 eth0 is not activated early enough, causing a delay in the Ethernet detection
severity 619520 wishlist
thanks

After some tests, it appears that the 2-second delay before running
ethtool was too short here. Though increasing the delay works (I now
test the link each second, and it is detected after 3 seconds), it's
a bit annoying, and I think the kernel should do something about it
early in the boot sequence. Indeed there are more than 3 seconds
between the beginning of the boot and the network[*] is started (just
after which the "ifconfig eth0 up" is performed).

[*] /etc/init.d/networking

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Changed Bug title to 'eth0 is not activated early enough, causing a delay in the Ethernet detection' from 'linux-image-2.6.37-2-amd64: some Ethernet cables are not detected' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 24 Mar 2011 19:36:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 24 Mar 2011 19:36:06 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 24 Mar 2011 21:18:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Thu, 24 Mar 2011 21:18:03 GMT) Full text and rfc822 format available.

Message #19 received at 619520-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 619520-done@bugs.debian.org
Subject: Re: Bug#619520: linux-image-2.6.37-2-amd64: some Ethernet cables are not detected
Date: Thu, 24 Mar 2011 21:13:57 +0000
> 
Network drivers are not expected to start the hardware until the
network interface is brought up (by ifup).  It is your responsibility
to set an appropriate time limit for guessnet.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619520; Package linux-2.6. (Fri, 25 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619520@bugs.debian.org
Subject: Re: Bug#619520: linux-image-2.6.37-2-amd64: some Ethernet cables are not detected
Date: Fri, 25 Mar 2011 01:15:54 +0100
reopen 619520
thanks

On 2011-03-24 21:13:57 +0000, Ben Hutchings wrote:
> Network drivers are not expected to start the hardware until the
> network interface is brought up (by ifup).

This is poorly designed. There should be a way to bring up the
network interface early in the boot sequence (alternatively the
driver could do something equivalent, so that the Ethernet link
is detected when one tests its status).

> It is your responsibility to set an appropriate time limit for
> guessnet.

This doesn't solve the problem: it makes the boot longer. By
bringing up the interface earlier, the time needed by guessnet
could be spent while other things are done in parallel.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Mar 2011 00:39:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'general'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 25 Mar 2011 01:48:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.37-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 25 Mar 2011 01:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#619520; Package general. (Fri, 25 Mar 2011 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 25 Mar 2011 07:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619520@bugs.debian.org
Subject: Re: Bug#619520: linux-image-2.6.37-2-amd64: some Ethernet cables are not detected
Date: Fri, 25 Mar 2011 08:44:03 +0100
On 2011-03-25 01:15:54 +0100, Vincent Lefevre wrote:
> > It is your responsibility to set an appropriate time limit for
> > guessnet.
> 
> This doesn't solve the problem: it makes the boot longer. By

longer and unreliable. The 4-second maximum delay is still not
sufficient. So, to have some margin, I should probably set a
10-second delay. But this means that in the current situation,
the boot time will always be 10 seconds longer when no Ethernet
cable is plugged in, and for a laptop, this happens quite often.

> bringing up the interface earlier, the time needed by guessnet
> could be spent while other things are done in parallel.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug reassigned from package 'general' to 'guessnet'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 25 Mar 2011 09:18:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'guessnet' to 'ethtool'. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 27 Mar 2011 22:15:09 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 27 Mar 2011 22:15:10 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 27 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sun, 27 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Message #46 received at 619520-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 619520-done@bugs.debian.org
Subject: Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general
Date: Sun, 27 Mar 2011 23:25:50 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-03-27 at 22:15 +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > reassign 619520 ethtool
> Bug #619520 [guessnet] eth0 is not activated early enough, causing a delay in the Ethernet detection
> Bug reassigned from package 'guessnet' to 'ethtool'.
> > severity 619520 normal
> Bug #619520 [ethtool] eth0 is not activated early enough, causing a delay in the Ethernet detection
> Severity set to 'normal' from 'wishlist'

Oh this is ridiculous.  No.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Mar 2011 23:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Sun, 27 Mar 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 27 Mar 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #53 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 619520@bugs.debian.org
Subject: Re: Bug#619520 closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general)
Date: Mon, 28 Mar 2011 01:15:53 +0200
reopen 619520
thanks

> Oh this is ridiculous.  No.

Your response is ridiculous.

If ethtool says that there's no link while there is one (assuming
the driver does its job), this is a real bug.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 27 Mar 2011 23:36:04 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sun, 27 Mar 2011 23:36:04 GMT) Full text and rfc822 format available.

Message #58 received at 619520-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 619520-done@bugs.debian.org
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general)
Date: Mon, 28 Mar 2011 00:33:51 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-03-28 at 01:15 +0200, Vincent Lefevre wrote:
> reopen 619520
> thanks
> 
> > Oh this is ridiculous.  No.
> 
> Your response is ridiculous.
> 
> If ethtool says that there's no link while there is one (assuming
> the driver does its job), this is a real bug.

ethtool just reports what the driver says.  Also, the driver should
never report link up before the interface is up.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Sun, 27 Mar 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 27 Mar 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #63 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 619520@bugs.debian.org
Subject: Re: Bug#619520 closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 01:42:57 +0200
reopen 619520
thanks

On 2011-03-27 23:36:04 +0000, Debian Bug Tracking System wrote:
> ethtool just reports what the driver says.  Also, the driver should
> never report link up before the interface is up.

ethtool says that there is no link even *after* a "ifconfig eth0 up".
There's definitely something wrong, either in ethtool or in the
driver.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Mar 2011 23:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Mon, 28 Mar 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 28 Mar 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #70 received at 619520@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vincent Lefevre <vincent@vinc17.net>, 619520@bugs.debian.org
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 01:17:18 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-03-28 at 01:42 +0200, Vincent Lefevre wrote:
> reopen 619520
> thanks
> 
> On 2011-03-27 23:36:04 +0000, Debian Bug Tracking System wrote:
> > ethtool just reports what the driver says.  Also, the driver should
> > never report link up before the interface is up.
> 
> ethtool says that there is no link even *after* a "ifconfig eth0 up".
> There's definitely something wrong, either in ethtool or in the
> driver.

You (or guessnet) are running ethtool immediately after ifconfig, or
using some fixed delay.  This is fundamentally unreliable as link
negotation is *asynchronous*.

The right way to find link state is to listen for link events using
netlink, as Network Manager does.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Mon, 28 Mar 2011 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 28 Mar 2011 04:21:03 GMT) Full text and rfc822 format available.

Message #75 received at 619520@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619520@bugs.debian.org
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 06:17:21 +0200
On 2011-03-28 01:17:18 +0100, Ben Hutchings wrote:
> You (or guessnet) are running ethtool immediately after ifconfig, or
> using some fixed delay.  This is fundamentally unreliable as link
> negotation is *asynchronous*.
> 
> The right way to find link state is to listen for link events using
> netlink, as Network Manager does.

Thanks, this is OK via netplug (which is based on netlink).

FYI, I was using ethtool because this is what some documentation
and software use (at least, this is the method used by wicd), and
the ethtool man page has no warnings about that.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Mon, 28 Mar 2011 04:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 28 Mar 2011 04:30:02 GMT) Full text and rfc822 format available.

Message #80 received at 619520@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vincent Lefevre <vincent@vinc17.net>, 619520@bugs.debian.org
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 05:26:26 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-03-28 at 06:17 +0200, Vincent Lefevre wrote:
> On 2011-03-28 01:17:18 +0100, Ben Hutchings wrote:
> > You (or guessnet) are running ethtool immediately after ifconfig, or
> > using some fixed delay.  This is fundamentally unreliable as link
> > negotation is *asynchronous*.
> > 
> > The right way to find link state is to listen for link events using
> > netlink, as Network Manager does.
> 
> Thanks, this is OK via netplug (which is based on netlink).

So shall I close this again, or do you want to blame some other package
now?

> FYI, I was using ethtool because this is what some documentation
> and software use (at least, this is the method used by wicd), and
> the ethtool man page has no warnings about that.

The ethtool manual page is not intended as a tutorial about Ethernet.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Vincent Lefevre <vincent@vinc17.net>:
You have taken responsibility. (Mon, 28 Mar 2011 08:57:13 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Mon, 28 Mar 2011 08:57:17 GMT) Full text and rfc822 format available.

Message #85 received at 619520-done@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619520-done@bugs.debian.org
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 10:49:12 +0200
On 2011-03-28 05:26:26 +0100, Ben Hutchings wrote:
> So shall I close this again, or do you want to blame some other
> package now?

Sorry, I forgot to close the bug. Done.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#619520; Package ethtool. (Mon, 28 Mar 2011 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 28 Mar 2011 15:27:07 GMT) Full text and rfc822 format available.

Message #90 received at 619520@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 619520@bugs.debian.org
Cc: owner@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>
Subject: Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#619520: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Processed: Re: Processed: Re: Processed: reassign 619520 to general))
Date: Mon, 28 Mar 2011 08:09:22 -0700
On Mon, 28 Mar 2011, Ben Hutchings wrote:
> On Mon, 2011-03-28 at 01:42 +0200, Vincent Lefevre wrote:
> > reopen 619520
> > thanks
> 
> Please explain to Vincent the policy against bug ping-pong.

If a maintainer closes a bug, and after a single round of explanation,
still does not agree with reopening the bug, the bug should stay
closed.

If you disagree with the maintainer, then your choices are to either
attempt to:

1) convince the maintainer that your viewpoint is correct, preferably
by submitting a patch which fixes the perceived problem, along with
rationale as to why the patch is correct.

2) attempt to convince the technical committee that the maintainer is
incorrect, and should be overridden. This necessitates a patch as
required for #1.
 
In neither case should you reopen bugs that a maintainer has
closed.[1] Continuing to do so will result in restricting your use of
control@bugs.debian.org.


Don Armstrong

1: It is of course acceptable to reopen a bug in cases when the
maintainer is likely to agree with you, but that is clearly not the
case here.
-- 
America was far better suited to be the World's Movie Star. The
world's tequila-addled pro-league bowler. The world's acerbic bi-polar
stand-up comedian. Anything but a somber and tedious nation of
socially responsible centurions.
 -- Bruce Sterling, _Distraction_ p122

http://www.donarmstrong.com              http://rzlab.ucr.edu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Apr 2011 07:34:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:38:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.